function make_copy_nl()
{

    $(normal_mouth).clone().prop({ id: "first_nl_mouth"  }).appendTo('.face');
    $(normal_teeth_up).clone().prop({ id: "first_nl_teeth"  }).appendTo('.face');

    first_nl_mouth.style.visibility='visible';
    first_nl_teeth.style.visibility='visible';

    normal_mouth.style.visibility='hidden';
    normal_teeth_up.style.visibility='hidden';
}
function make_copy_hapy()
{

    $(happy_mouth).clone().prop({ id: "first_happy_mouth"  }).appendTo('.face');
    $(happy_teeth_up).clone().prop({ id: "first_happy_teeth"  }).appendTo('.face');

    first_happy_mouth.style.visibility='visible';
    first_happy_teeth.style.visibility='visible';

    happy_mouth.style.visibility='hidden';
    happy_teeth_up.style.visibility='hidden';
}

function make_copy_surpris()
{

    $(surprise_mouth).clone().prop({ id: "first_surprise_mouth"  }).appendTo('.face');
    $(surprise_teeth_up).clone().prop({ id: "first_surprise_teeth"  }).appendTo('.face');

    first_surprise_mouth.style.visibility='visible';
    first_surprise_teeth.style.visibility='visible';

    surprise_mouth.style.visibility='hidden';
    surprise_teeth_up.style.visibility='hidden';
}

function make_copy_fea()
{

    $(fear_mouth).clone().prop({ id: "first_fear_mouth"  }).appendTo('.face');
    $(fear_teeth_up).clone().prop({ id: "first_fear_teeth"  }).appendTo('.face');

    first_fear_mouth.style.visibility='visible';
    first_fear_teeth.style.visibility='visible';

    fear_mouth.style.visibility='hidden';
    fear_teeth_up.style.visibility='hidden';
}

function make_copy_angr()
{

    $(angry_mouth).clone().prop({ id: "first_angry_mouth"  }).appendTo('.face');
    $(angry_teeth_up).clone().prop({ id: "first_angry_teeth"  }).appendTo('.face');

    first_angry_mouth.style.visibility='visible';
    first_angry_teeth.style.visibility='visible';

    angry_mouth.style.visibility='hidden';
    angry_teeth_up.style.visibility='hidden';
}

function make_copy_cr2()
{

    $(cry_mouth2).clone().prop({ id: "first_cry_mouth"  }).appendTo('.face');
	$(cry_teeth_up).clone().prop({ id: "first_cry_teeth_up"  }).appendTo('.face');

    first_cry_mouth.style.visibility='visible';
	first_cry_teeth_up.style.visibility='visible';

    cry_mouth2.style.visibility='hidden';
	cry_teeth_up.style.visibility='hidden';

}
function make_copy_disgus()
{

    $(disgust_mouth).clone().prop({ id: "first_disgust_mouth"  }).appendTo('.face');
    $(disgust_teeth_up).clone().prop({ id: "first_disgust_teeth"  }).appendTo('.face');
	$(disgust_tongue).clone().prop({ id: "first_disgust_tongue"  }).appendTo('.face');

    first_disgust_mouth.style.visibility='visible';
    first_disgust_teeth.style.visibility='visible';
	first_disgust_tongue.style.visibility='visible';

    disgust_mouth.style.visibility='hidden';
    disgust_teeth_up.style.visibility='hidden';
	disgust_tongue.style.visibility='hidden';
}

function make_copy_hear()
{

    $(heart_mouth).clone().prop({ id: "first_heart_mouth"  }).appendTo('.face');
    $(heart_chin).clone().prop({ id: "first_heart_chin"  }).appendTo('.face');

    first_heart_mouth.style.visibility='visible';
    first_heart_chin.style.visibility='visible';

    heart_mouth.style.visibility='hidden';
    heart_chin.style.visibility='hidden';
}


function make_copy_lip_s()
{

    $(s_mouth).clone().prop({ id: "first_s_mouth" }).appendTo('.face');
    $(s_teeth_up).clone().prop({ id: "first_s_teeth_up" }).appendTo('.face');
    $(s_teeth_down).clone().prop({ id: "first_s_teeth_down" }).appendTo('.face');

    first_s_mouth.style.visibility='visible';
    first_s_teeth_up.style.visibility='visible';
    first_s_teeth_down.style.visibility='visible';

    s_mouth.style.visibility='hidden';
    s_teeth_up.style.visibility='hidden';
    s_teeth_down.style.visibility='hidden';
}

function make_copy_lip_a()
{

    $(a_mouth).clone().prop({ id: "first_a_mouth" }).appendTo('.face');
    $(a_teeth_up).clone().prop({ id: "first_a_teeth_up" }).appendTo('.face');
   
    first_a_mouth.style.visibility='visible';
    first_a_teeth_up.style.visibility='visible';

    a_mouth.style.visibility='hidden';
    a_teeth_up.style.visibility='hidden';
}

function make_copy_lip_n_l()
{

    $(n_l_mouth).clone().prop({ id: "first_n_l_mouth" }).appendTo('.face');
    $(n_l_teeth_up).clone().prop({ id: "first_n_l_teeth_up" }).appendTo('.face');
    $(n_l_tongue_part1).clone().prop({ id: "first_n_l_tongue_part1"  }).appendTo('.face');
	$(n_l_tongue_part2).clone().prop({ id: "first_n_l_tongue_part2"  }).appendTo('.face');
    
    first_n_l_mouth.style.visibility='visible';
    first_n_l_teeth_up.style.visibility='visible';
    first_n_l_tongue_part1.style.visibility='visible';
	first_n_l_tongue_part2.style.visibility='visible';


    n_l_mouth.style.visibility='hidden';
    n_l_teeth_up.style.visibility='hidden';
    n_l_tongue_part1.style.visibility='hidden';
	n_l_tongue_part2.style.visibility='hidden';
    
}

function make_copy_lip_aa()
{

    $(aa_mouth).clone().prop({ id: "first_aa_mouth" }).appendTo('.face');
    $(aa_teeth_up).clone().prop({ id: "first_aa_teeth_up" }).appendTo('.face');
    
    first_aa_mouth.style.visibility='visible';
    first_aa_teeth_up.style.visibility='visible';

    aa_mouth.style.visibility='hidden';
    aa_teeth_up.style.visibility='hidden';

}

function make_copy_lip_m()
{

    $(m_mouth).clone().prop({ id: "first_m_mouth" }).appendTo('.face');
    $(m_chin).clone().prop({ id: "first_m_chin" }).appendTo('.face');
   
    first_m_mouth.style.visibility='visible';
    first_m_chin.style.visibility='visible';

    m_mouth.style.visibility='hidden';
    m_chin.style.visibility='hidden';
   }
function make_copy_lip_kh()
{

    $(kh_mouth).clone().prop({ id: "first_kh_mouth" }).appendTo('.face');
    $(kh_teeth_up).clone().prop({ id: "first_kh_teeth_up" }).appendTo('.face');
    
    first_kh_mouth.style.visibility='visible';
    first_kh_teeth_up.style.visibility='visible';

    kh_mouth.style.visibility='hidden';
    kh_teeth_up.style.visibility='hidden';
    
}

function make_copy_lip_oo()
{

    $(oo_mouth).clone().prop({ id: "first_oo_mouth" }).appendTo('.face');
    $(oo_chin).clone().prop({ id: "first_oo_chin" }).appendTo('.face');
    
    first_oo_mouth.style.visibility='visible';
    first_oo_chin.style.visibility='visible';

    oo_mouth.style.visibility='hidden';
    oo_chin.style.visibility='hidden';
    
}
function make_copy_lip_b_p()
{

    $(b_p_mouth).clone().prop({ id: "first_b_p_mouth" }).appendTo('.face');

    first_b_p_mouth.style.visibility='visible';

    b_p_mouth.style.visibility='hidden';

}
function make_copy_lip_ee()
{

    $(ee_mouth).clone().prop({ id: "first_ee_mouth" }).appendTo('.face');
    $(ee_teeth_up).clone().prop({ id: "first_ee_teeth_up" }).appendTo('.face');
    
    first_ee_mouth.style.visibility='visible';
    first_ee_teeth_up.style.visibility='visible';

    ee_mouth.style.visibility='hidden';
    ee_teeth_up.style.visibility='hidden';
   
}
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
 function nl_to_lip_s()
{
var callback_lip_s_1=function(){
    s_mouth.style.visibility='visible';
    s_teeth_up.style.visibility='visible';
    s_teeth_down.style.visibility='visible';

}
//===
var callback_lip_s_2=function(){
    $("#first_nl_mouth").remove();
    $("#first_nl_teeth").remove();
    key_w=1;
}
//===
    
    first_teeth_down.style.visibility='visible';

    var mouth = KUTE.to('#first_nl_mouth', {path: '#s_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:110, morphPrecision:1, reverseSecondPath: true, reverseFirstPath: false  , complete:callback_lip_s_1});

    var teeth_up = KUTE.to('#first_nl_teeth', {path: '#s_teeth_up' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_s_2  });

    var teeth_down = KUTE.to('#first_teeth_down', {path: '#s_teeth_down' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false  });

    mouth.start();
    teeth_up.start();
    teeth_down.start();
}

 function happy_to_lip_s()
{
var callback_lip_s_1=function(){
    s_mouth.style.visibility='visible';
    s_teeth_up.style.visibility='visible';
    s_teeth_down.style.visibility='visible';

}
//===
var callback_lip_s_2=function(){
    $("#first_happy_mouth").remove();
    $("#first_happy_teeth").remove();
    key_w=1;
}
//===
    
    first_teeth_down.style.visibility='visible';

    var mouth = KUTE.to('#first_happy_mouth', {path: '#s_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:110, morphPrecision:1, reverseSecondPath: true, reverseFirstPath: false  , complete:callback_lip_s_1});

    var teeth_up = KUTE.to('#first_happy_teeth', {path: '#s_teeth_up' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_s_2  });

    var teeth_down = KUTE.to('#first_teeth_down', {path: '#s_teeth_down' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false  });

    mouth.start();
    teeth_up.start();
    teeth_down.start();
}

 function surprise_to_lip_s()
{
var callback_lip_s_1=function(){
    s_mouth.style.visibility='visible';
    s_teeth_up.style.visibility='visible';
    s_teeth_down.style.visibility='visible';

}
//===
var callback_lip_s_2=function(){
    $("#first_surprise_mouth").remove();
    $("#first_surprise_teeth").remove();
    key_w=1;
}
//===
    
    first_teeth_down.style.visibility='visible';

    var mouth = KUTE.to('#first_surprise_mouth', {path: '#s_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:27, morphPrecision:1, reverseSecondPath: true, reverseFirstPath: false  , complete:callback_lip_s_1});

    var teeth_up = KUTE.to('#first_surprise_teeth', {path: '#s_teeth_up' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_s_2  });

    var teeth_down = KUTE.to('#first_teeth_down', {path: '#s_teeth_down' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false  });

    mouth.start();
    teeth_up.start();
    teeth_down.start();
}

 function fear_to_lip_s()
{
var callback_lip_s_1=function(){
    s_mouth.style.visibility='visible';
    s_teeth_up.style.visibility='visible';
    s_teeth_down.style.visibility='visible';

}
//===
var callback_lip_s_2=function(){
    $("#first_fear_mouth").remove();
    $("#first_fear_teeth").remove();
    key_w=1;
}
//===
    
    first_teeth_down.style.visibility='visible';

    var mouth = KUTE.to('#first_fear_mouth', {path: '#s_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:27, morphPrecision:1 , complete:callback_lip_s_1});

    var teeth_up = KUTE.to('#first_fear_teeth', {path: '#s_teeth_up' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_s_2  });

    var teeth_down = KUTE.to('#first_teeth_down', {path: '#s_teeth_down' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false  });

    mouth.start();
    teeth_up.start();
    teeth_down.start();
}
function angry_to_lip_s()
{
var callback_lip_s_1=function(){
    s_mouth.style.visibility='visible';
    s_teeth_up.style.visibility='visible';
    s_teeth_down.style.visibility='visible';

}
//===
var callback_lip_s_2=function(){
    $("#first_angry_mouth").remove();
    $("#first_angry_teeth").remove();
    key_w=1;
}
//===
    
    first_teeth_down.style.visibility='visible';

    var mouth = KUTE.to('#first_angry_mouth', {path: '#s_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:78, morphPrecision:1  , complete:callback_lip_s_1});

    var teeth_up = KUTE.to('#first_angry_teeth', {path: '#s_teeth_up' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_s_2  });

    var teeth_down = KUTE.to('#first_teeth_down', {path: '#s_teeth_down' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false  });

    mouth.start();
    teeth_up.start();
    teeth_down.start();
}

function disgust_to_lip_s()
{
var callback_lip_s_1=function(){
    s_mouth.style.visibility='visible';
    s_teeth_up.style.visibility='visible';
    s_teeth_down.style.visibility='visible';

}
//===
var callback_lip_s_2=function(){
    $("#first_disgust_mouth").remove();
    $("#first_disgust_teeth").remove();
	$("#first_disgust_tongue").remove();
    key_w=1;
}
//===
    
    first_teeth_down.style.visibility='visible';

    var mouth = KUTE.to('#first_disgust_mouth', {path: '#s_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:91, morphPrecision:1  , complete:callback_lip_s_1});

    var teeth_up = KUTE.to('#first_disgust_teeth', {path: '#s_teeth_up' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_s_2  });

    var teeth_down = KUTE.to('#first_teeth_down', {path: '#s_teeth_down' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false  });

    var tongue = KUTE.to('#first_disgust_tongue', {svgTransform:{scale:0.01}},{duration: time2})

    mouth.start();
    teeth_up.start();
    teeth_down.start();
	tongue.start();
}

function heart_to_lip_s()
{
var callback_lip_s_1=function(){
    s_mouth.style.visibility='visible';
    s_teeth_up.style.visibility='visible';
    s_teeth_down.style.visibility='visible';

}
//===
var callback_lip_s_2=function(){
    $("#first_heart_mouth").remove();
    $("#first_teeth_up").remove();
	$("#first_teeth_down").remove();
	$("#first_heart_chin").remove();
    key_w=1;
}
//===
    first_teeth_up.style.visibility='visible';
    first_teeth_down.style.visibility='visible';

    var mouth = KUTE.to('#first_heart_mouth', {path: '#s_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:107, morphPrecision:1,  complete:callback_lip_s_1});

    var teeth_up = KUTE.to('#first_teeth_up', {path: '#s_teeth_up' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_s_2  });

    var teeth_down = KUTE.to('#first_teeth_down', {path: '#s_teeth_down' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false  });

    var tongue = KUTE.to('#first_heart_chin', {svgTransform:{scale:0.01}},{duration: time2})

    mouth.start();
    teeth_up.start();
    teeth_down.start();
	tongue.start();
}


 function cry2_to_lip_s()
{
var callback_lip_s_1=function(){
    s_mouth.style.visibility='visible';
    s_teeth_up.style.visibility='visible';
    s_teeth_down.style.visibility='visible';

}
//===
var callback_lip_s_2=function(){
    $("#first_cry_mouth").remove();
	$("#first_cry_teeth_up").remove();
    key_w=1;
}
//===
    
    first_teeth_down.style.visibility='visible';

    var mouth = KUTE.to('#first_cry_mouth', {path: '#s_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:49, morphPrecision:1 , complete:callback_lip_s_1});

    var teeth_up = KUTE.to('#first_cry_teeth_up', {path: '#s_teeth_up' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_s_2  });

    var teeth_down = KUTE.to('#first_teeth_down', {path: '#s_teeth_down' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false  });

    mouth.start();
    teeth_up.start();
    teeth_down.start();
}

 function disgus_to_lip_s()
{
var callback_lip_s_1=function(){
    s_mouth.style.visibility='visible';
    s_teeth_up.style.visibility='visible';
    s_teeth_down.style.visibility='visible';

}
//===
var callback_lip_s_2=function(){
    $("#first_disgust_mouth").remove();
    $("#first_disgust_teeth").remove();
    key_w=1;
}
//===
    
    first_teeth_down.style.visibility='visible';

    var mouth = KUTE.to('#first_disgust_mouth', {path: '#s_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:110, morphPrecision:1, reverseSecondPath: true, reverseFirstPath: false  , complete:callback_lip_s_1});

    var teeth_up = KUTE.to('#first_disgust_teeth', {path: '#s_teeth_up' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_s_2  });

    var teeth_down = KUTE.to('#first_teeth_down', {path: '#s_teeth_down' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false  });

    mouth.start();
    teeth_up.start();
    teeth_down.start();
}
function lip_s_to_lip_a()
{
var callback_lip_a_1=function(){

    a_mouth.style.visibility='visible';
    a_teeth_up.style.visibility='visible';

}
//===
var callback_lip_a_2=function(){
    $("#first_s_mouth").remove();
    $("#first_s_teeth_up").remove();
    $("#first_s_teeth_down").remove();
	
    key_w=1;
}
//===

    var mouth = KUTE.to('#first_s_mouth', {path: '#a_mouth' }, {
    duration: time1, easing: 'easingExponential', morphIndex:190, morphPrecision:1, reverseSecondPath: true , reverseFirstPath: true });

    var teeth_up = KUTE.to('#first_s_teeth_up', {path: '#a_teeth_up' }, {
    duration: time1, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_a_1  });

    var teeth_down = KUTE.to("#first_s_teeth_down", {svgTransform:{scale:0.01}},{duration: time1,complete:callback_lip_a_2})

    mouth.start();
    teeth_up.start();
    teeth_down.start();

}



function lip_a_to_lip_n_l()
{
var callback_lip_a_n_l1=function(){

    n_l_mouth.style.visibility='visible';
    n_l_teeth_up.style.visibility='visible';
    n_l_tongue_part1.style.visibility='visible';
    n_l_tongue_part2.style.visibility='visible';
}
//===
var callback_lip_a_n_l2=function(){
    $("#first_a_mouth").remove();
    $("#first_a_teeth_up").remove();
    $("#first_tongue_p1").remove();
    $("#first_tongue_p2").remove();

    key_w=1;
}
//===
    first_tongue_p1.style.visibility='visible';
	first_tongue_p2.style.visibility='visible';

    var mouth = KUTE.to('#first_a_mouth', {path: '#n_l_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:52, morphPrecision:1, reverseSecondPath:true , reverseFirstPath: true });

    var teeth_up = KUTE.to('#first_a_teeth_up', {path: '#n_l_teeth_up' }, {
    duration: time2, easing: 'easingExponential', morphIndex:120, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false,  complete:callback_lip_a_n_l1  });

    var tongue_part1 = KUTE.to('#first_tongue_p1', {path: '#n_l_tongue_part1' }, {
    duration: time2, easing: 'easingExponential', morphIndex:300, morphPrecision:1, complete:callback_lip_a_n_l2  });

   var tongue_part2 = KUTE.to('#first_tongue_p2', {path: '#n_l_tongue_part2' }, {
    duration: time2, easing: 'easingExponential', morphIndex:300, morphPrecision:1  });


    mouth.start();
    teeth_up.start();
    tongue_part1.start();
	tongue_part2.start();

}


function lip_n_l_to_lip_aa()
{
var callback_lip_n_l_aa1=function(){

    aa_mouth.style.visibility='visible';
    aa_teeth_up.style.visibility='visible';
}
//===
var callback_lip_n_l_aa2=function(){
    $("#first_n_l_mouth").remove();
    $("#first_n_l_teeth_up").remove();
    $("#first_n_l_tongue_part1").remove();
	$("#first_n_l_tongue_part2").remove();

    key_w=1;
}
//===

    var mouth = KUTE.to('#first_n_l_mouth', {path: '#aa_mouth' }, {
    duration: time1, easing: 'easingExponential', morphIndex:73, morphPrecision:1, reverseSecondPath:true , reverseFirstPath: true });

    var teeth_up = KUTE.to('#first_n_l_teeth_up', {path: '#aa_teeth_up' }, {
    duration: time1, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_n_l_aa1  });

    var tongue_part1 = KUTE.to('#first_n_l_tongue_part1', {svgTransform:{scale:0.01}},{duration: time1,complete:callback_lip_n_l_aa2})
	var tongue_part2 = KUTE.to('#first_n_l_tongue_part2', {svgTransform:{scale:0.01}},{duration: time1})

    mouth.start();
    teeth_up.start();
    tongue_part1.start();
	tongue_part2.start();

}

function lip_aa_to_lip_m()
{
var callback_lip_m_1=function(){

    m_mouth.style.visibility='visible';
    m_chin.style.visibility='visible';

}
//===
var callback_lip_m_2=function(){
    $("#first_aa_mouth").remove();
    $("#first_aa_teeth_up").remove();

    $("#first_chin").remove();

    key_w=1;
}
//====
    
    first_chin.style.visibility='visible';


    var mouth = KUTE.to('#first_aa_mouth', {path: '#m_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:103, morphPrecision:1, reverseSecondPath: false , reverseFirstPath: false, complete:callback_lip_m_1});

    var teeth_up = KUTE.to('#first_aa_teeth_up', {svgTransform:{scale:0.01}},{duration: time2})


    var chin = KUTE.to('#first_chin', {path: '#m_chin' }, {
    duration: time2, easing: 'easingExponential', morphIndex:300, morphPrecision:1, complete:callback_lip_m_2  });

    mouth.start();
    teeth_up.start();
    chin.start();

}

 function lip_m_to_nl()
{
var callback_lip_nn_1=function(){

    normal_mouth.style.visibility='visible';
    normal_teeth_up.style.visibility='visible';
}
//===
var callback_lip_nn_2=function(){
    $("#first_m_mouth").remove();
    $("#first_teeth_up").remove();
    $("#first_m_chin").remove();

    key_w=1;
}
//===
    
    first_teeth_up.style.visibility='visible';

    var mouth = KUTE.to('#first_m_mouth', {path: '#normal_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:143, morphPrecision:1, reverseSecondPath: true , reverseFirstPath: false});

    var teeth_up = KUTE.to('#first_teeth_up', {path: '#normal_teeth_up' }, {
    duration:time2 , easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false , complete:callback_lip_nn_1 });

    var chin = KUTE.to('#first_m_chin', {svgTransform:{scale:0.01}},{duration: time2 ,complete:callback_lip_nn_2 })
    mouth.start();
    teeth_up.start();
    chin.start();

}

function lip_m_to_happy()
{
var callback_lip_nn_1=function(){

    happy_mouth.style.visibility='visible';
    happy_teeth_up.style.visibility='visible';
}
//===
var callback_lip_nn_2=function(){
    $("#first_m_mouth").remove();
    $("#first_teeth_up").remove();
    $("#first_m_chin").remove();

    key_w=1;
}
//===
    
    first_teeth_up.style.visibility='visible';

    var mouth = KUTE.to('#first_m_mouth', {path: '#happy_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:143, morphPrecision:1, reverseSecondPath: true , reverseFirstPath: false});

    var teeth_up = KUTE.to('#first_teeth_up', {path: '#happy_teeth_up' }, {
    duration:time2 , easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false , complete:callback_lip_nn_1 });

    var chin = KUTE.to('#first_m_chin', {svgTransform:{scale:0.01}},{duration: time2 ,complete:callback_lip_nn_2 })
    mouth.start();
    teeth_up.start();
    chin.start();

}

function lip_m_to_surprise()
{
var callback_lip_nn_1=function(){

    surprise_mouth.style.visibility='visible';
    surprise_teeth_up.style.visibility='visible';
}
//===
var callback_lip_nn_2=function(){
    $("#first_m_mouth").remove();
    $("#first_teeth_up").remove();
    $("#first_m_chin").remove();

    key_w=1;
}
//===
    
    first_teeth_up.style.visibility='visible';

    var mouth = KUTE.to('#first_m_mouth', {path: '#surprise_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:127, morphPrecision:1});

    var teeth_up = KUTE.to('#first_teeth_up', {path: '#surprise_teeth_up' }, {
    duration:time2 , easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false , complete:callback_lip_nn_1 });

    var chin = KUTE.to('#first_m_chin', {svgTransform:{scale:0.01}},{duration: time2 ,complete:callback_lip_nn_2 })
    mouth.start();
    teeth_up.start();
    chin.start();

}

function lip_m_to_fear()
{
var callback_lip_nn_1=function(){

    fear_mouth.style.visibility='visible';
    fear_teeth_up.style.visibility='visible';
}
//===
var callback_lip_nn_2=function(){
    $("#first_m_mouth").remove();
    $("#first_teeth_up").remove();
    $("#first_m_chin").remove();

    key_w=1;
}
//===
    
    first_teeth_up.style.visibility='visible';

    var mouth = KUTE.to('#first_m_mouth', {path: '#fear_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:126, morphPrecision:1});

    var teeth_up = KUTE.to('#first_teeth_up', {path: '#fear_teeth_up' }, {
    duration:time2 , easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false , complete:callback_lip_nn_1 });

    var chin = KUTE.to('#first_m_chin', {svgTransform:{scale:0.01}},{duration: time2 ,complete:callback_lip_nn_2 })
    mouth.start();
    teeth_up.start();
    chin.start();

}

function lip_m_to_angry()
{
var callback_lip_nn_1=function(){

    angry_mouth.style.visibility='visible';
    angry_teeth_up.style.visibility='visible';
}
//===
var callback_lip_nn_2=function(){
    $("#first_m_mouth").remove();
    $("#first_teeth_up").remove();
    $("#first_m_chin").remove();

    key_w=1;
}
//===
    
    first_teeth_up.style.visibility='visible';

    var mouth = KUTE.to('#first_m_mouth', {path: '#angry_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:125, morphPrecision:1});

    var teeth_up = KUTE.to('#first_teeth_up', {path: '#angry_teeth_up' }, {
    duration:time2 , easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false , complete:callback_lip_nn_1 });

    var chin = KUTE.to('#first_m_chin', {svgTransform:{scale:0.01}},{duration: time2 ,complete:callback_lip_nn_2 })
    mouth.start();
    teeth_up.start();
    chin.start();

}

function lip_m_to_cry()
{
var callback_lip_nn_1=function(){

    cry_mouth2.style.visibility='visible';
    cry_teeth_up.style.visibility='visible';
}
//===
var callback_lip_nn_2=function(){
    $("#first_m_mouth").remove();
    $("#first_teeth_up").remove();
    $("#first_m_chin").remove();

    key_w=1;
}
//===
    
    first_teeth_up.style.visibility='visible';

    var mouth = KUTE.to('#first_m_mouth', {path: '#cry_mouth2' }, {
    duration: time2, easing: 'easingExponential', morphIndex:143, morphPrecision:1, reverseSecondPath: true , reverseFirstPath: false});

    var teeth_up = KUTE.to('#first_teeth_up', {path: '#cry_teeth_up' }, {
    duration:time2 , easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false , complete:callback_lip_nn_1 });

    var chin = KUTE.to('#first_m_chin', {svgTransform:{scale:0.01}},{duration: time2 ,complete:callback_lip_nn_2 })
    mouth.start();
    teeth_up.start();
    chin.start();

}

function lip_m_to_disgust()
{
var callback_lip_nn_1=function(){

    disgust_mouth.style.visibility='visible';
    disgust_teeth_up.style.visibility='visible';
	disgust_tongue.style.visibility='visible';
}
//===
var callback_lip_nn_2=function(){
    $("#first_m_mouth").remove();
    $("#first_teeth_up").remove();
    $("#first_m_chin").remove();
	$("#first_tongue").remove();

    key_w=1;
}
//===
    first_tongue.style.visibility='visible';
    first_teeth_up.style.visibility='visible';

    var mouth = KUTE.to('#first_m_mouth', {path: '#disgust_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:102, morphPrecision:1});

    var tongue = KUTE.to('#first_tongue', {path: '#disgust_tongue' }, {
    duration: time2, easing: 'easingExponential', morphIndex:143, morphPrecision:1, reverseSecondPath: true , reverseFirstPath: false});
 
    var teeth_up = KUTE.to('#first_teeth_up', {path: '#disgust_teeth_up' }, {
    duration:time2 , easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false , complete:callback_lip_nn_1 });

    var chin = KUTE.to('#first_m_chin', {svgTransform:{scale:0.01}},{duration: time2 ,complete:callback_lip_nn_2 })
    mouth.start();
    teeth_up.start();
    chin.start();
	tongue.start();

}

function lip_m_to_heart()
{
var callback_lip_nn_1=function(){

    heart_mouth.style.visibility='visible';
    heart_chin.style.visibility='visible';

}
//===
var callback_lip_nn_2=function(){
    $("#first_m_mouth").remove();

    $("#first_m_chin").remove();

    key_w=1;
}
//===

    var mouth = KUTE.to('#first_m_mouth', {path: '#heart_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:83, morphPrecision:1,  complete:callback_lip_nn_1});

 
    var chin = KUTE.to('#first_m_chin', {path: '#heart_chin' }, {
    duration:time2 , easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false , complete:callback_lip_nn_2 });
    mouth.start();

    chin.start();
}

function nl_to_lip_kh()
{
var callback_lip_nl_kh1=function(){

    kh_mouth.style.visibility='visible';
    kh_teeth_up.style.visibility='visible';
}
//===
var callback_lip_nl_kh2=function(){
    $("#first_nl_mouth").remove();
    $("#first_nl_teeth").remove();


    key_w=1;
}
//===
    var mouth = KUTE.to('#first_nl_mouth', {path: '#kh_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:110, morphPrecision:1, reverseSecondPath: true , reverseFirstPath: false, complete:callback_lip_nl_kh1 });

    var teeth_up = KUTE.to('#first_nl_teeth', {path: '#kh_teeth_up' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_nl_kh2  });

    mouth.start();
    teeth_up.start();

}

function happy_to_lip_kh()
{
var callback_lip_nl_kh1=function(){

    kh_mouth.style.visibility='visible';
    kh_teeth_up.style.visibility='visible';
}
//===
var callback_lip_nl_kh2=function(){
    $("#first_happy_mouth").remove();
    $("#first_happy_teeth").remove();


    key_w=1;
}
//===
    var mouth = KUTE.to('#first_happy_mouth', {path: '#kh_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:110, morphPrecision:1, reverseSecondPath: true , reverseFirstPath: false, complete:callback_lip_nl_kh1 });

    var teeth_up = KUTE.to('#first_happy_teeth', {path: '#kh_teeth_up' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_nl_kh2  });

    mouth.start();
    teeth_up.start();

}

function surprise_to_lip_kh()
{
var callback_lip_nl_kh1=function(){

    kh_mouth.style.visibility='visible';
    kh_teeth_up.style.visibility='visible';
}
//===
var callback_lip_nl_kh2=function(){
    $("#first_surprise_mouth").remove();
    $("#first_surprise_teeth").remove();


    key_w=1;
}
//===
    var mouth = KUTE.to('#first_surprise_mouth', {path: '#kh_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:38, morphPrecision:1, complete:callback_lip_nl_kh1 });

    var teeth_up = KUTE.to('#first_surprise_teeth', {path: '#kh_teeth_up' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_nl_kh2  });

    mouth.start();
    teeth_up.start();

}
function fear_to_lip_kh()
{
var callback_lip_nl_kh1=function(){

    kh_mouth.style.visibility='visible';
    kh_teeth_up.style.visibility='visible';
}
//===
var callback_lip_nl_kh2=function(){
    $("#first_fear_mouth").remove();
    $("#first_fear_teeth").remove();


    key_w=1;
}
//===
    var mouth = KUTE.to('#first_fear_mouth', {path: '#kh_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:38, morphPrecision:1, complete:callback_lip_nl_kh1 });

    var teeth_up = KUTE.to('#first_fear_teeth', {path: '#kh_teeth_up' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_nl_kh2  });

    mouth.start();
    teeth_up.start();

}

function angry_to_lip_kh()
{
var callback_lip_nl_kh1=function(){

    kh_mouth.style.visibility='visible';
    kh_teeth_up.style.visibility='visible';
}
//===
var callback_lip_nl_kh2=function(){
    $("#first_angry_mouth").remove();
    $("#first_angry_teeth").remove();


    key_w=1;
}
//===
    var mouth = KUTE.to('#first_angry_mouth', {path: '#kh_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:125, morphPrecision:1, complete:callback_lip_nl_kh1 });

    var teeth_up = KUTE.to('#first_angry_teeth', {path: '#kh_teeth_up' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_nl_kh2  });

    mouth.start();
    teeth_up.start();

}

function cry_to_lip_kh()
{
var callback_lip_nl_kh1=function(){

    kh_mouth.style.visibility='visible';
    kh_teeth_up.style.visibility='visible';
}
//===
var callback_lip_nl_kh2=function(){
    $("#first_cry_mouth").remove();
    $("#first_cry_teeth_up").remove();


    key_w=1;
}
//===
    var mouth = KUTE.to('#first_cry_mouth', {path: '#kh_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:84, morphPrecision:1, complete:callback_lip_nl_kh1 });

    var teeth_up = KUTE.to('#first_cry_teeth_up', {path: '#kh_teeth_up' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_nl_kh2  });

    mouth.start();
    teeth_up.start();

}

function disgust_to_lip_kh()
{
var callback_lip_nl_kh1=function(){

    kh_mouth.style.visibility='visible';
    kh_teeth_up.style.visibility='visible';
}
//===
var callback_lip_nl_kh2=function(){
    $("#first_disgust_mouth").remove();
    $("#first_disgust_teeth").remove();
	$("#first_disgust_tongue").remove();

    key_w=1;
}
//===
    var mouth = KUTE.to('#first_disgust_mouth', {path: '#kh_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:92, morphPrecision:1, complete:callback_lip_nl_kh1 });
    var tongue = KUTE.to('#first_disgust_tongue', {svgTransform:{scale:0.01}},{duration: time2 })

    var teeth_up = KUTE.to('#first_disgust_teeth', {path: '#kh_teeth_up' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_nl_kh2  });

    mouth.start();
    teeth_up.start();
	tongue.start();

}

function heart_to_lip_kh()
{
var callback_lip_nl_kh1=function(){

    kh_mouth.style.visibility='visible';
    kh_teeth_up.style.visibility='visible';
}
//===
var callback_lip_nl_kh2=function(){
    $("#first_heart_mouth").remove();
    $("#first_heart_chin").remove();
	$("#first_teeth_up").remove();

    key_w=1;
}
//===
first_teeth_up.style.visibility='visible';

    var mouth = KUTE.to('#first_heart_mouth', {path: '#kh_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:111, morphPrecision:1, complete:callback_lip_nl_kh1 });
    var tongue = KUTE.to('#first_heart_chin', {svgTransform:{scale:0.01}},{duration: time2 })

    var teeth_up = KUTE.to('#first_teeth_up', {path: '#kh_teeth_up' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_nl_kh2  });

    mouth.start();
    teeth_up.start();
	tongue.start();

}


function lip_kh_to_lip_oo()
{
var callback_lip_kh_oo1=function(){

    oo_mouth.style.visibility='visible';
    oo_chin.style.visibility='visible';

}
//===
var callback_lip_kh_oo2=function(){
    $("#first_kh_mouth").remove();
    $("#first_kh_teeth_up").remove();
    $("#first_chin").remove();

    key_w=1;
}
//===
    
    first_chin.style.visibility='visible';

    var mouth = KUTE.to('#first_kh_mouth', {path: '#oo_mouth' }, {
    duration: time1, easing: 'easingExponential', morphIndex:190, morphPrecision:1, reverseSecondPath: false , reverseFirstPath: true });

    var teeth_up = KUTE.to('#first_kh_teeth_up', {svgTransform:{scale:0.01}},{duration: time2 ,complete:callback_lip_kh_oo1 })

    var chin = KUTE.to('#first_chin', {path: '#oo_chin' }, {
    duration: time1, easing: 'easingExponential', morphIndex:300, morphPrecision:1, complete:callback_lip_kh_oo2  });

    mouth.start();
    teeth_up.start();
    chin.start();

}

function lip_oo_to_lip_b_p()
{
var callback_lip_oo_b_p1=function(){

    b_p_mouth.style.visibility='visible';

}
//====
var callback_lip_oo_b_p2=function(){
    $("#first_oo_mouth").remove();
    $("#first_oo_chin").remove();

    key_w=1;
}
//===

    var mouth = KUTE.to('#first_oo_mouth', {path: '#b_p_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:253, morphPrecision:1, reverseSecondPath: true , reverseFirstPath: false, complete:callback_lip_oo_b_p1 });

    var chin = KUTE.to('#first_oo_chin', {svgTransform:{scale:0.01}},{duration: time2 ,complete:callback_lip_oo_b_p2 })


    mouth.start();
    chin.start();

}

function lip_b_p_to_lip_ee()
{
var callback_lip_b_p_ee1=function(){

    ee_mouth.style.visibility='visible';
    ee_teeth_up.style.visibility='visible';

}
//===
var callback_lip_b_p_ee2=function(){
    $("#first_b_p_mouth").remove();

    key_w=1;
}
//===
    
    first_teeth_up.style.visibility='visible';

    var mouth = KUTE.to('#first_b_p_mouth', {path: '#ee_mouth' }, {
    duration: time1, easing: 'easingExponential', morphIndex:100, morphPrecision:1, reverseSecondPath: false , reverseFirstPath: false, complete:callback_lip_b_p_ee1 });

    var teeth_up = KUTE.to('#first_teeth_up', {path: '#ee_teeth_up' }, {
    duration: time1, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_b_p_ee2 });

    mouth.start();
    teeth_up.start();

}

function lip_ee_to_nl()
{
var callback_lip_ee_normal1=function(){

    normal_mouth.style.visibility='visible';
    normal_teeth_up.style.visibility='visible';

    ee_mouth.style.visibility='hidden';
    ee_teeth_up.style.visibility='hidden';
}
//===
var callback_lip_ee_normal2=function(){
    $("#first_ee_mouth").remove();
    $("#first_ee_teeth_up").remove();

    key_w=1;
}
//===

    var mouth = KUTE.to('#first_ee_mouth', {path: '#normal_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:110, morphPrecision:1, reverseSecondPath: true , reverseFirstPath: true, complete:callback_lip_ee_normal1 });

    var teeth_up = KUTE.to('#first_ee_teeth_up', {path: '#normal_teeth_up' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_ee_normal2 });

    mouth.start();
    teeth_up.start();

}

function lip_ee_to_happy()
{
var callback_lip_ee_normal1=function(){

    happy_mouth.style.visibility='visible';
    happy_teeth_up.style.visibility='visible';

}
//===
var callback_lip_ee_normal2=function(){
    $("#first_ee_mouth").remove();
    $("#first_ee_teeth_up").remove();

    key_w=1;
}
//===

    var mouth = KUTE.to('#first_ee_mouth', {path: '#happy_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:110, morphPrecision:1, reverseSecondPath: true , reverseFirstPath: true, complete:callback_lip_ee_normal1 });

    var teeth_up = KUTE.to('#first_ee_teeth_up', {path: '#happy_teeth_up' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_ee_normal2 });

    mouth.start();
    teeth_up.start();

}

function lip_ee_to_surprise()
{
var callback_lip_ee_normal1=function(){

    surprise_mouth.style.visibility='visible';
    surprise_teeth_up.style.visibility='visible';

}
//===
var callback_lip_ee_normal2=function(){
    $("#first_ee_mouth").remove();
    $("#first_ee_teeth_up").remove();

    key_w=1;
}
//===

    var mouth = KUTE.to('#first_ee_mouth', {path: '#surprise_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:92, morphPrecision:1, complete:callback_lip_ee_normal1 });

    var teeth_up = KUTE.to('#first_ee_teeth_up', {path: '#surprise_teeth_up' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_ee_normal2 });

    mouth.start();
    teeth_up.start();

}

function lip_ee_to_fear()
{
var callback_lip_ee_normal1=function(){

    fear_mouth.style.visibility='visible';
    fear_teeth_up.style.visibility='visible';

}
//===
var callback_lip_ee_normal2=function(){
    $("#first_ee_mouth").remove();
    $("#first_ee_teeth_up").remove();

    key_w=1;
}
//===

    var mouth = KUTE.to('#first_ee_mouth', {path: '#fear_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:93, morphPrecision:1, complete:callback_lip_ee_normal1 });

    var teeth_up = KUTE.to('#first_ee_teeth_up', {path: '#fear_teeth_up' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_ee_normal2 });

    mouth.start();
    teeth_up.start();

}
function lip_ee_to_angry()
{
var callback_lip_ee_normal1=function(){

    angry_mouth.style.visibility='visible';
    angry_teeth_up.style.visibility='visible';

}
//===
var callback_lip_ee_normal2=function(){
    $("#first_ee_mouth").remove();
    $("#first_ee_teeth_up").remove();

    key_w=1;
}
//===

    var mouth = KUTE.to('#first_ee_mouth', {path: '#angry_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:146, morphPrecision:1, complete:callback_lip_ee_normal1 });

    var teeth_up = KUTE.to('#first_ee_teeth_up', {path: '#angry_teeth_up' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_ee_normal2 });

    mouth.start();
    teeth_up.start();

}

function lip_ee_to_cry()
{
var callback_lip_ee_normal1=function(){

    cry_mouth2.style.visibility='visible';
    cry_teeth_up.style.visibility='visible';

}
//===
var callback_lip_ee_normal2=function(){
    $("#first_ee_mouth").remove();
    $("#first_ee_teeth_up").remove();

    key_w=1;
}
//===

    var mouth = KUTE.to('#first_ee_mouth', {path: '#cry_mouth2' }, {
    duration: time2, easing: 'easingExponential', morphIndex:135, morphPrecision:1, complete:callback_lip_ee_normal1 });

    var teeth_up = KUTE.to('#first_ee_teeth_up', {path: '#cry_teeth_up' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_ee_normal2 });

    mouth.start();
    teeth_up.start();

}

function lip_ee_to_disgust()
{
var callback_lip_ee_normal1=function(){

    disgust_mouth.style.visibility='visible';
    disgust_teeth_up.style.visibility='visible';
	disgust_tongue.style.visibility='visible';

}
//===
var callback_lip_ee_normal2=function(){
    $("#first_ee_mouth").remove();
    $("#first_ee_teeth_up").remove();
	$("#first_tongue").remove();
    
    key_w=1;
}
//===
	first_tongue.style.visibility='visible';
    var mouth = KUTE.to('#first_ee_mouth', {path: '#disgust_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:133, morphPrecision:1 , reverseFirstPath: true, complete:callback_lip_ee_normal1 });

    var teeth_up = KUTE.to('#first_ee_teeth_up', {path: '#disgust_teeth_up' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false, complete:callback_lip_ee_normal2 });
    var tongue = KUTE.to('#first_tongue', {path: '#disgust_tongue' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false });

    mouth.start();
    teeth_up.start();
	tongue.start();

}

function lip_ee_to_heart()
{
var callback_lip_ee_normal1=function(){

    heart_mouth.style.visibility='visible';
    heart_chin.style.visibility='visible';


}
//===
var callback_lip_ee_normal2=function(){
    $("#first_ee_mouth").remove();
    $("#first_ee_teeth_up").remove();
	$("#first_chin").remove();
    
    key_w=1;
}
//===
	first_chin.style.visibility='visible';
    var mouth = KUTE.to('#first_ee_mouth', {path: '#heart_mouth' }, {
    duration: time2, easing: 'easingExponential', morphIndex:73, morphPrecision:1, complete:callback_lip_ee_normal1 });

    var teeth_up = KUTE.to('#first_ee_teeth_up',{svgTransform:{scale:0.01}},{duration: time2 ,complete:callback_lip_ee_normal2 })
    var tongue = KUTE.to('#first_chin', {path: '#heart_chin' }, {
    duration: time2, easing: 'easingExponential', morphIndex:150, morphPrecision:1, reverseSecondPath: false, reverseFirstPath: false });

    mouth.start();
    teeth_up.start();
	tongue.start();

}
